diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 531af95..d1949eb 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -24449,7 +24449,6 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|MatrixCommonDenominator| . MCDEN)
    (|MatrixLinearAlgebraFunctions| . MATLIN)
    (|MergeThing| . MTHING)
-   (|ModularAlgebraicGcdOperations| . MAGCDOC)
    (|ModularDistinctDegreeFactorizer| . MDDFACT)
    (|ModuleOperator| . MODOP)
    (|MonoidRingFunctions2| . MRF2)
@@ -24645,6 +24644,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|UniversalSegment| . UNISEG)
    (|UniversalSegmentFunctions2| . UNISEG2)
    (|UserDefinedVariableOrdering| . UDVO)
+   (|U16Vector| . U16VEC)
    (|U32Vector| . U32VEC)
    (|Vector| . VECTOR)
    (|VectorFunctions2| . VECTOR2)
@@ -24886,6 +24886,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|ListAggregate| . LSAGG)
    (|LocalPowerSeriesCategory| . LOCPOWC)
    (|Logic| . LOGIC)
+   (|ModularAlgebraicGcdOperations| . MAGCDOC)
    (|MatrixCategory| . MATCAT)
    (|Module| . MODULE)
    (|Monad| . MONAD)
@@ -39272,15 +39273,37 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
+\section{U16Vector}
 
-\section{U32Vector}
-\defun{getrefv32}{getrefv32}
-\begin{chunk}{defun getrefv32}
-(defun getrefv32 (n x)
- (make-array n :initial-element x :element-type '(unsigned-byte 32)))
+\defmacro{qvlenU16}
+\begin{chunk}{defmacro qvlenU16}
+(defmacro qvlenU16 (v)
+ `(length (the (simple-array (unsigned-byte 16) (*)) ,v)))
 
 \end{chunk}
 
+\defmacro{eltU16}
+\begin{chunk}{defmacro eltU16}
+(defmacro eltU16 (v i)
+ `(aref (the (simple-array (unsigned-byte 16) (*)) ,v) ,i))
+
+\end{chunk}
+
+\defmacro{seteltU16}
+\begin{chunk}{defmacro seteltU16}
+(defmacro seteltU16 (v i s)
+ `(setf (aref (the (simple-array (unsigned-byte 16) (*)) ,v) ,i), s))
+
+\end{chunk}
+
+\defun{getRefvU16}{getRefvU16}
+\begin{chunk}{defun getRefvU16}
+(defun getRefvU16 (x n)
+  (make-array n :initial-element x :element-type '(unsigned-byte 16)))
+\end{chunk}
+
+\section{U32Vector}
+
 \defmacro{qvlenU32}
 \begin{chunk}{defmacro qvlenU32}
 (defmacro qvlenU32 (v)
@@ -43851,6 +43874,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defmacro dlen}
 \getchunk{defmacro dsetaref2}
 \getchunk{defmacro dsetelt}
+\getchunk{defmacro eltU16}
 \getchunk{defmacro eltU32}
 \getchunk{defmacro funfind}
 \getchunk{defmacro hget}
@@ -43860,9 +43884,11 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defmacro make-double-matrix1}
 \getchunk{defmacro make-double-vector}
 \getchunk{defmacro make-double-vector1}
+\getchunk{defmacro qvlenU16}
 \getchunk{defmacro qvlenU32}
 \getchunk{defmacro Rest}
 \getchunk{defmacro startsId?}
+\getchunk{defmacro seteltU16}
 \getchunk{defmacro seteltU32}
 \getchunk{defmacro trapNumericErrors}
 \getchunk{defmacro truth-to-bit}
@@ -44348,7 +44374,6 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun getPosStL}
 \getchunk{defun getPreviousMapSubNames}
 \getchunk{defun getProplist}
-\getchunk{defun getrefv32}
 \getchunk{defun getStFromMsg}
 \getchunk{defun getSystemCommandLine}
 \getchunk{defun getTraceOption}
@@ -44518,6 +44543,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun mac0SubstituteOuter}
 \getchunk{defun make-appendstream}
 \getchunk{defun make-databases}
+\getchunk{defun getRefvU16}
 \getchunk{defun getRefvU32}
 \getchunk{defun makeFullNamestring}
 \getchunk{defun makeHistFileName}
diff --git a/changelog b/changelog
index 188ef85..33f3f5a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130223 tpd src/axiom-website/patches.html 20130223.01.tpd.patch
+20130223 tpd books/bookvol5 fix exposure for MAGCDOC category
 20130221 tpd src/axiom-website/patches.html 20130221.01.tpd.patch
 20130221 tpd src/input/Makefile add machinearithmetic.input
 20130221 tpd books/bookvol5 support macros for U32Vector
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 040e547..7db0f12 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3977,5 +3977,7 @@ books/bookvol10.2 add matrix initializer function
 books/bookvol10.2 add MAGCDOC
 <a href="patches/20130221.01.tpd.patch">20130221.01.tpd.patch</a>
 books/bookvol10.3 update U32Vector domain, add machinearithmetic
+<a href="patches/20130223.01.tpd.patch">20130223.01.tpd.patch</a>
+books/bookvol5 fix exposure for MAGCDOC category
  </body>
 </html>
